
QGIS Application - Bug report #14394

Tooltips are blank (2.14, 2.18)

2016-03-01 03:12 AM - albert dekker

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22375

Description

Just got updated to 2.14.

All tooltips are blank.

History

#1 - 2016-03-01 03:37 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Resolution set to not reproducable

Platform? Architecture? Language?

#2 - 2016-03-01 06:10 AM - albert dekker

Thanks for the reply. Sorry should have included that of course.

Ubuntu 15.10, 

Language English

Repository: qgis.org/debian/wily.

#3 - 2016-05-23 05:08 AM - Giovanni Manghi

- Category set to Map Canvas

they seems ok here on 2.14.3 on Ubuntu. Please add steps to replicate the issue, if is still true.

#4 - 2016-06-22 01:08 AM - Giovanni Manghi

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

#5 - 2017-03-08 04:52 PM - Will Kemp

- File Screenshot_from_2017-03-09_11-22-39.png added

- Status changed from Closed to Reopened
I'm having the same problem.

Qgis 2.14.3

Fedora 25

x86_64

English

Steps to reproduce:

1) start Qgis

2) hold mouse pointer over tool or menu item

3) tooltip appears as a blank rectangle.

See attached screenshot.

#6 - 2017-03-17 05:18 PM - Will Kemp

Problem solved by changing Style from Plastique to Adwaita in Settings-->Options|General.

GTK+ and Adwaita-dark styles also work, however, the text menus disappear in Adwaita-dark (for me, at least).

Windows, Motif, CDE, and Cleanlooks styles all have the same blank tooltips issue.

The Fedora package comes with Plastique as the default style.

#7 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2017-11-07 02:13 AM - Sandro Santilli

- Description updated

For the record: same problem with 2.18 on Ubuntu 17.04

Changing style does not seem to help (tried: Window, Plastique, GTK+, Motif) - actually there's NO visible effect in changing those styles...

#9 - 2017-11-07 02:38 AM - Sandro Santilli

I was wrong, changing style (to GTK2+ for example) DOES fix the issue for me. I just failed to restart after change.

#10 - 2017-11-07 02:39 AM - Sandro Santilli

- Subject changed from QGIS 2.14 tooltips are blank to Tooltips are blank (2.14, 2.18)

- Category changed from Map Canvas to GUI

- Resolution deleted (not reproducable)

#11 - 2017-11-07 02:43 AM - Sandro Santilli

I tried all styles, GTK+ is really the only one working for me, all the others have blank tooltips
#12 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files
